# pandas.Series.rename

Series.rename(index=None, *, axis=None, copy=True, inplace=False, level=None, errors='ignore')

  Alter Series index labels or name.

  Function / dict values must be unique (1-to-1). Labels not contained in a dict / Series will be left as-is. Extra labels listed don’t throw an error.

  Alternatively, change `Series.name` with a scalar value.

  See the user guide for more.

  Parameters
    axis{0 or “index”}

      Unused. Accepted for compatibility with DataFrame method only.

    index scalar, hashable sequence, dict-like or function, optional

      Functions or dict-like are transformations to apply to the index. Scalar or hashable sequence-like will alter the `Series.name` attribute.

    **kwargs

      Additional keyword arguments passed to the function. Only the “inplace” keyword is used.

  Returns
    Series or None

      Series with index labels or name altered or None if `inplace=True`.

  See also

  `DataFrame.rename`

    Corresponding DataFrame method.

  `Series.rename_axis`

    Set the name of the axis.

  Examples

      >>> s = pd.Series([1, 2, 3])
      >>> s
      0    1
      1    2
      2    3
      dtype: int64
      >>> s.rename("my_name")  # scalar, changes Series.name
      0    1
      1    2
      2    3
      Name: my_name, dtype: int64
      >>> s.rename(lambda x: x ** 2)  # function, changes labels
      0    1
      1    2
      4    3
      dtype: int64
      >>> s.rename({1: 3, 2: 5})  # mapping, changes labels
      0    1
      3    2
      5    3
      dtype: int64